Subject: Re: [ANN] WiMAX stack and drivers for Intel WiMAX Link 5050

From: Stephen Hemminger <[email-masked]>
Date: Tue, 8 Apr 2008 14:04:03 -0500

Looking at the kernel/user interface: wimax-tools-1.1/lib/op-open.c

This API is repeating the mistake of the old Linux Wireless API. It is putting version
checks between kernel and library and this is a maintenance nightmare. Linux
API's are not COM. Versioning is a mistake.  Use a TLA api like netlink so it
can be extensible without version handshake.
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html